## percona-postgis 3.3.4

=== rpm/Makefile ===
#################################
# RPM-specific Makefile		#
# https://yum.postgresql.org	#
#				#
# Devrim Gunduz			#
# devrim@gunduz.org		#
#################################

# Predefined values

ARCH=`rpm --eval "%{_arch}"`
DIR=`pwd`
DIST=.f42
SPECFILE="postgis33.spec"

# Now, include global Makefile
include ../../../../global/Makefile.global

## percona-postgis 3.3.3

=== debian/changelog ===
percona-postgis (3.3.3-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 3.3.3-1

 -- root <root@fe378d5d46e9>  Wed, 21 Jun 2023 21:08:23 -0400

percona-postgis (3.3.3) unstable; urgency=low
  * Initial Release.
 -- SurabhiBhat <surabhi.bhat@percona.com> Wed, 21 Jun 2023 21:08:23 -0400

=== debian/control ===
Source: percona-postgis
Maintainer: Percona Development Team <info@percona.com>
Uploaders: Percona Development Team <info@percona.com>
Section: misc
Priority: optional
Build-Depends: bison,
               dctrl-tools,
               dblatex,
               docbook,
               docbook-xsl,
               dpkg-dev (>= 1.16.1~),
               flex,
               imagemagick,
               libcunit1-dev,
               libgdal-dev (>= 1.11.2+dfsg-3~) | libgdal1-dev (>= 1.9.0~),
               libgeos-dev (>= 3.6),
               libjson-c-dev | libjson0-dev (>= 0.9~),
               libpcre2-dev,
               libproj-dev (>= 4.9.0),
               libprotobuf-c-dev,
               libsfcgal-dev (>= 1.3.1) [!armel !armhf],
               libxml2-dev (>= 2.5.0~),
               lsb-release,
               pkg-config,
               po-debconf,
               percona-postgresql-all,
               percona-postgresql-common (>= 148~),
               percona-postgresql-server-dev-all,
               protobuf-c-compiler,
               rdfind,
               xsltproc
Standards-Version: 3.3.2
Homepage: https://postgis.net/
Rules-Requires-Root: no

Package:percona-postgis
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends:percona-postgresql-postgis,
           percona-postgis-doc
Description: Geographic objects support for PostgreSQL
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the PostGIS userland binaries for importing and
 exporting shape and raster files: pgsql2shp, raster2pgsql, and shp2pgsql.

Package: percona-postgis-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: percona-postgis
Description: Geographic objects support for PostgreSQL -- documentation
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the PostGIS documentation.

Package: percona-postgresql-15-postgis-3
Architecture: any
Depends: percona-postgresql-15,
         percona-postgresql-15-postgis-3-scripts,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: percona-postgis
Breaks: percona-postgis (<< 1.2.1)
Provides: percona-postgresql-15-postgis
Description: Geographic objects support for PostgreSQL 15
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".

Package: percona-postgresql-15-postgis-3-scripts
Architecture: any
Multi-Arch: foreign
Depends: ${perl:Depends},
         ${misc:Depends}
Recommends: percona-postgresql-15-postgis-3
Provides: percona-postgresql-15-postgis-scripts
Replaces:percona-postgresql-15-postgis-scripts (<< 2.2.2+dfsg-3~)
Description: Geographic objects support for PostgreSQL 15 -- SQL scripts
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the SQL scripts for installing PostGIS in a PostgreSQL
 15 database, and for upgrading from earlier PostGIS versions.

Package: percona-postgresql-postgis
Architecture: any
Section: metapackages
Depends: percona-postgresql-postgis-scripts,
         percona-postgresql-15-postgis-3,
         ${misc:Depends}
Description: Geographic objects support for PostgreSQL -- Metapackage
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This metapackage depends on the PostGIS package for PostgreSQL 15.

Package: percona-postgresql-postgis-scripts
Architecture: any
Multi-Arch: foreign
Depends: percona-postgresql-15-postgis-3-scripts,
         ${misc:Depends}
Description: Geographic objects support for PostgreSQL -- SQL scripts metapackage
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This metapackage depends on the PostGIS scripts package for
 PostgreSQL 15.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Don't fail when d/control doesn't match template
export PG_UPDATECONTROL=yes

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/postgresql-common/pgxs_debian_control.mk

# Ignore testsuite failures on these architectures
IGNORE_TEST_FAILURE_ARCHS = mips mips64el mipsel s390x alpha hppa hurd-i386 kfreebsd-i386 powerpc ppc64 sparc64
ifneq (,$(filter $(DEB_BUILD_ARCH),$(IGNORE_TEST_FAILURE_ARCHS)))
	TEST_FAIL_COMMAND = echo "Ignoring test failures"
else
	TEST_FAIL_COMMAND = exit 1
endif

# Upstream version (including ~rcN) for symbols version
UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

MAJOR_VERSION = $(shell grep ^POSTGIS_MAJOR_VERSION Version.config | cut -d= -f2)
MINOR_VERSION = $(shell grep ^POSTGIS_MINOR_VERSION Version.config | cut -d= -f2)
MICRO_VERSION = $(shell grep ^POSTGIS_MICRO_VERSION Version.config | cut -d= -f2)
POSTGIS_VERSION = $(MAJOR_VERSION).$(MINOR_VERSION).$(MICRO_VERSION)
ifeq ($(POSTGIS_VERSION),..)
$(error Cannot detect Postgis version, fix debian/rules)
endif

# For the Postgres APT repository, we want to support multiple
# Postgres versions. However, docs and the JDBC jar only need to be
# built once - in the main directory.
NEWEST_POSTGRES_VERSION = $(shell pg_buildext supported-versions $(CURDIR) | tail -1)
ifeq ($(NEWEST_POSTGRES_VERSION),)
$(error Cannot detect Postgres version, check debian/pgversions and pg_buildext)
endif

OTHER_POSTGRES_VERSIONS = $(shell pg_buildext supported-versions $(CURDIR) \
	| grep -v "$(NEWEST_POSTGRES_VERSION)")

COMMON_CONFIGURE_ARGS = --host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--exec-prefix=\$${prefix} \
	--docdir=\$${prefix}/share/doc \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--without-interrupt-tests \
	--without-phony-revision \
	--enable-lto

NJOBS := -j1
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
NJOBS := -j$(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_clean: debian/control
#	Clean all separate build directories.
	(set -ex; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		rm -rf $(CURDIR)/debian/build-$$PGVER; \
	done)

	[ ! -f GNUmakefile ] || $(MAKE) $(NJOBS) distclean || true
	[ ! -f GNUmakefile ] || $(MAKE) $(NJOBS) -C doc images-clean || true

#	Cleanup after the Makefile
	rm -f postgis/postgis_upgrade_20_minor.sql.in \
		raster/rt_pg/rtpostgis_drop.sql \
		raster/rt_pg/rtpostgis_upgrade_cleanup.sql

#	Cleanup auto-generated packaging control files
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*.install
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*.lintian-overrides
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*-scripts.install
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*-scripts.lintian-overrides
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*-scripts.postinst
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*-scripts.prerm
	rm -f loader/cunit/cu_tester
	rm -rf liblwgeom/cunit/.libs

override_dh_auto_configure:
#	Copy sources required to build extensions for all but the most
#	recent Postgres version. Unfortunately, Postgis doesn't support
#	vpath builds.
	(set -ex; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		mkdir $(CURDIR)/debian/build-$$PGVER; \
		for FILE in `ls $(CURDIR) | grep -v debian`; do \
			cp -a $$FILE $(CURDIR)/debian/build-$$PGVER; \
		done; \
	done)
	sh autogen.sh
#	PostGIS for the most recent PostgreSQL version
	@echo "### PostgreSQL $(NEWEST_POSTGRES_VERSION) configure ###"
	./configure $(COMMON_CONFIGURE_ARGS) \
		--datadir=\$${prefix}/share/postgresql-$(NEWEST_POSTGRES_VERSION)-postgis \
		--with-pgconfig=/usr/lib/postgresql/$(NEWEST_POSTGRES_VERSION)/bin/pg_config \
		--with-sfcgal=/usr/bin/sfcgal-config

#	PostGIS for all older Postgres versions
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo "### PostgreSQL $$PGVER configure ###"; \
		cd $(CURDIR)/debian/build-$$PGVER; \
		./configure $(COMMON_CONFIGURE_ARGS) \
			--datadir=\$${prefix}/share/postgresql-$$PGVER-postgis \
			--with-pgconfig=/usr/lib/postgresql/$$PGVER/bin/pg_config \
			--with-sfcgal=/usr/bin/sfcgal-config ; \
	done)

override_dh_auto_build:
#	Create debhelper files for each Postgres major version
	(set -ex; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS) $(NEWEST_POSTGRES_VERSION); do \
		for SUFFIX in .install .lintian-overrides -scripts.install -scripts.lintian-overrides -scripts.postinst -scripts.prerm; do \
			cat $(CURDIR)/debian/postgresql-generic-postgis$$SUFFIX.in \
				| sed -e "s/@PGVERSION@/$$PGVER/g" \
				> $(CURDIR)/debian/postgresql-$$PGVER-postgis-$(MAJOR_VERSION)$$SUFFIX; \
		done \
	done)

#	Build against the newest Postgres version
	@echo "### PostgreSQL $(NEWEST_POSTGRES_VERSION) build ###"
	$(MAKE) $(NJOBS)
	$(MAKE) $(NJOBS) -C doc

#	Build against all other Postgres versions
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo "### PostgreSQL $$PGVER build ###"; \
		$(MAKE) $(NJOBS) -C $(CURDIR)/debian/build-$$PGVER; \
	done)

#	Let PostGIS create a perl script from postgis_restore.pl.in
	$(MAKE) $(NJOBS) -C utils

#	Create a few SQL scripts that the Makefiles are not clever enough
#	to resolve, when building arch-indep only.
	$(MAKE) $(NJOBS) -C postgis postgis.sql postgis_upgrade.sql
	$(MAKE) $(NJOBS) -C raster/rt_pg rtpostgis.sql rtpostgis_upgrade.sql
	$(MAKE) $(NJOBS) -C topology topology.sql topology_upgrade.sql

#	This creates the required SQL scripts. Again, the Makefile is not
#	clever enough to run this before 'install'.
	$(MAKE) $(NJOBS) -C extensions

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	Run unit tests (against the newest Postgres version first)
	@echo "### PostgreSQL $(NEWEST_POSTGRES_VERSION) test ###"
	pg_virtualenv -v $(NEWEST_POSTGRES_VERSION) \
		make check RUNTESTFLAGS="-v" || $(TEST_FAIL_COMMAND)

#	Test against all other Postgres versions
	set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo "### PostgreSQL $$PGVER test ###"; \
		pg_virtualenv -v $$PGVER \
			make -C $(CURDIR)/debian/build-$$PGVER check RUNTESTFLAGS="-v" || $(TEST_FAIL_COMMAND); \
	done
endif

override_dh_auto_install:
#	Install the most recent Postgres version. Note that we used to
#	install only utils and extensions. However, there are sql scripts
#	in postgis, raster and topology as well, which need to be
#	installed for the -scripts package(s).
	@echo "### PostgreSQL $(NEWEST_POSTGRES_VERSION) install ###"
	$(MAKE) $(NJOBS) install DESTDIR=$(CURDIR)/debian/tmp

#	Install all older Postgres versions.
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo "### PostgreSQL $$PGVER install ###"; \
		$(MAKE) $(NJOBS) -C $(CURDIR)/debian/build-$$PGVER \
			install DESTDIR=$(CURDIR)/debian/tmp; \
	done)

#	Remove unversioned and unused files from address standardizer
	rm -fv debian/tmp/usr/share/postgresql/*/extension/address_standardizer.sql
	rm -fv debian/tmp/usr/share/postgresql/*/extension/address_standardizer_data_us.sql

#	Move extension control files to version-specific names
#	(otherwise, the -script packages from different major versions would conflict)
	(set -ex; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS) $(NEWEST_POSTGRES_VERSION); do \
		for control in $(CURDIR)/debian/tmp/usr/share/postgresql/$$PGVER/extension/*.control; do \
			mv $$control $${control%.control}-$(MAJOR_VERSION).control; \
		done \
	done)

#	Compile and install docs
	$(MAKE) -C doc docs-install man-install \
		DESTDIR=$(CURDIR)/debian/tmp \
		PGSQL_DOCDIR=/usr/share/doc \
	        PGSQL_MANDIR=/usr/share/man

## percona-postgis 3.3.4

=== debian/changelog ===
percona-postgis (3.3.4-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 3.3.4-1

 -- root <root@ac64648bfdfd>  Wed, 09 Aug 2023 18:31:20 -0400

percona-postgis (3.3.4) unstable; urgency=low
  * Initial Release.
 -- SurabhiBhat <surabhi.bhat@percona.com> Wed, 09 Aug 2023 18:31:20 -0400

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                protobuf-c-compiler,
                rdfind,
                xsltproc
-Standards-Version: 3.3.2
+Standards-Version: 3.3.1
 Homepage: https://postgis.net/
 Rules-Requires-Root: no
 
@@ -66,16 +66,16 @@
  .
  This package contains the PostGIS documentation.
 
-Package: percona-postgresql-15-postgis-3
+Package: percona-postgresql-11-postgis-3
 Architecture: any
-Depends: percona-postgresql-15,
-         percona-postgresql-15-postgis-3-scripts,
+Depends: percona-postgresql-11,
+         percona-postgresql-11-postgis-3-scripts,
          ${shlibs:Depends},
          ${misc:Depends}
 Suggests: percona-postgis
 Breaks: percona-postgis (<< 1.2.1)
-Provides: percona-postgresql-15-postgis
-Description: Geographic objects support for PostgreSQL 15
+Provides: percona-postgresql-11-postgis
+Description: Geographic objects support for PostgreSQL 11
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
  the PostgreSQL server, allowing it to be used as a backend spatial
@@ -83,15 +83,15 @@
  SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
  "Simple Features Specification for SQL".
 
-Package: percona-postgresql-15-postgis-3-scripts
+Package: percona-postgresql-11-postgis-3-scripts
 Architecture: any
 Multi-Arch: foreign
 Depends: ${perl:Depends},
          ${misc:Depends}
-Recommends: percona-postgresql-15-postgis-3
-Provides: percona-postgresql-15-postgis-scripts
-Replaces:percona-postgresql-15-postgis-scripts (<< 2.2.2+dfsg-3~)
-Description: Geographic objects support for PostgreSQL 15 -- SQL scripts
+Recommends: percona-postgresql-11-postgis-3
+Provides: percona-postgresql-11-postgis-scripts
+Replaces:percona-postgresql-11-postgis-scripts (<< 2.2.2+dfsg-3~)
+Description: Geographic objects support for PostgreSQL 11 -- SQL scripts
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
  the PostgreSQL server, allowing it to be used as a backend spatial
@@ -100,13 +100,13 @@
  "Simple Features Specification for SQL".
  .
  This package contains the SQL scripts for installing PostGIS in a PostgreSQL
- 15 database, and for upgrading from earlier PostGIS versions.
+ 11 database, and for upgrading from earlier PostGIS versions.
 
 Package: percona-postgresql-postgis
 Architecture: any
 Section: metapackages
 Depends: percona-postgresql-postgis-scripts,
-         percona-postgresql-15-postgis-3,
+         percona-postgresql-11-postgis-3,
          ${misc:Depends}
 Description: Geographic objects support for PostgreSQL -- Metapackage
  PostGIS adds support for geographic objects to the PostgreSQL
@@ -116,12 +116,12 @@
  SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
  "Simple Features Specification for SQL".
  .
- This metapackage depends on the PostGIS package for PostgreSQL 15.
+ This metapackage depends on the PostGIS package for PostgreSQL 11.
 
 Package: percona-postgresql-postgis-scripts
 Architecture: any
 Multi-Arch: foreign
-Depends: percona-postgresql-15-postgis-3-scripts,
+Depends: percona-postgresql-11-postgis-3-scripts,
          ${misc:Depends}
 Description: Geographic objects support for PostgreSQL -- SQL scripts metapackage
  PostGIS adds support for geographic objects to the PostgreSQL
@@ -132,4 +132,4 @@
  "Simple Features Specification for SQL".
  .
  This metapackage depends on the PostGIS scripts package for
- PostgreSQL 15.
+ PostgreSQL 11.

## percona-postgis 3.3.5

=== debian/changelog ===
percona-postgis (3.3.5-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 3.3.5-1

 -- root <root@f3d7e4afeccc>  Wed, 21 Feb 2024 13:15:40 -0500

percona-postgis (3.3.5) unstable; urgency=low
  * Initial Release.
 -- SurabhiBhat <surabhi.bhat@percona.com> Wed, 21 Feb 2024 13:15:40 -0500

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                protobuf-c-compiler,
                rdfind,
                xsltproc
-Standards-Version: 3.3.1
+Standards-Version: 3.3.2
 Homepage: https://postgis.net/
 Rules-Requires-Root: no
 
@@ -66,16 +66,16 @@
  .
  This package contains the PostGIS documentation.
 
-Package: percona-postgresql-11-postgis-3
+Package: percona-postgresql-14-postgis-3
 Architecture: any
-Depends: percona-postgresql-11,
-         percona-postgresql-11-postgis-3-scripts,
+Depends: percona-postgresql-14,
+         percona-postgresql-14-postgis-3-scripts,
          ${shlibs:Depends},
          ${misc:Depends}
 Suggests: percona-postgis
 Breaks: percona-postgis (<< 1.2.1)
-Provides: percona-postgresql-11-postgis
-Description: Geographic objects support for PostgreSQL 11
+Provides: percona-postgresql-14-postgis
+Description: Geographic objects support for PostgreSQL 14
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
  the PostgreSQL server, allowing it to be used as a backend spatial
@@ -83,15 +83,15 @@
  SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
  "Simple Features Specification for SQL".
 
-Package: percona-postgresql-11-postgis-3-scripts
+Package: percona-postgresql-14-postgis-3-scripts
 Architecture: any
 Multi-Arch: foreign
 Depends: ${perl:Depends},
          ${misc:Depends}
-Recommends: percona-postgresql-11-postgis-3
-Provides: percona-postgresql-11-postgis-scripts
-Replaces:percona-postgresql-11-postgis-scripts (<< 2.2.2+dfsg-3~)
-Description: Geographic objects support for PostgreSQL 11 -- SQL scripts
+Recommends: percona-postgresql-14-postgis-3
+Provides: percona-postgresql-14-postgis-scripts
+Replaces:percona-postgresql-14-postgis-scripts (<< 2.2.2+dfsg-3~)
+Description: Geographic objects support for PostgreSQL 14 -- SQL scripts
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
  the PostgreSQL server, allowing it to be used as a backend spatial
@@ -100,13 +100,13 @@
  "Simple Features Specification for SQL".
  .
  This package contains the SQL scripts for installing PostGIS in a PostgreSQL
- 11 database, and for upgrading from earlier PostGIS versions.
+ 14 database, and for upgrading from earlier PostGIS versions.
 
 Package: percona-postgresql-postgis
 Architecture: any
 Section: metapackages
 Depends: percona-postgresql-postgis-scripts,
-         percona-postgresql-11-postgis-3,
+         percona-postgresql-14-postgis-3,
          ${misc:Depends}
 Description: Geographic objects support for PostgreSQL -- Metapackage
  PostGIS adds support for geographic objects to the PostgreSQL
@@ -116,12 +116,12 @@
  SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
  "Simple Features Specification for SQL".
  .
- This metapackage depends on the PostGIS package for PostgreSQL 11.
+ This metapackage depends on the PostGIS package for PostgreSQL 14.
 
 Package: percona-postgresql-postgis-scripts
 Architecture: any
 Multi-Arch: foreign
-Depends: percona-postgresql-11-postgis-3-scripts,
+Depends: percona-postgresql-14-postgis-3-scripts,
          ${misc:Depends}
 Description: Geographic objects support for PostgreSQL -- SQL scripts metapackage
  PostGIS adds support for geographic objects to the PostgreSQL
@@ -132,4 +132,4 @@
  "Simple Features Specification for SQL".
  .
  This metapackage depends on the PostGIS scripts package for
- PostgreSQL 11.
+ PostgreSQL 14.

## percona-postgis 3.3.6

=== debian/changelog ===
percona-postgis (3.3.6-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 3.3.6-1

 -- root <root@dfe6b944c0bf>  Thu, 08 Aug 2024 02:31:30 -0400

percona-postgis (3.3.6) unstable; urgency=low
  * Initial Release.
 -- SurabhiBhat <surabhi.bhat@percona.com> Thu, 08 Aug 2024 02:31:30 -0400

## percona-postgis 3.3.7

=== debian/changelog ===
percona-postgis (3.3.7-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 3.3.7-1

 -- root <root@9554469e00cc>  Tue, 10 Dec 2024 10:49:25 -0500

percona-postgis (3.3.7) unstable; urgency=low
  * Initial Release.
 -- SurabhiBhat <surabhi.bhat@percona.com> Tue, 10 Dec 2024 10:49:24 -0500

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                protobuf-c-compiler,
                rdfind,
                xsltproc
-Standards-Version: 3.3.2
+Standards-Version: 3.3.3
 Homepage: https://postgis.net/
 Rules-Requires-Root: no
 
@@ -66,16 +66,16 @@
  .
  This package contains the PostGIS documentation.
 
-Package: percona-postgresql-14-postgis-3
+Package: percona-postgresql-12-postgis-3
 Architecture: any
-Depends: percona-postgresql-14,
-         percona-postgresql-14-postgis-3-scripts,
+Depends: percona-postgresql-12,
+         percona-postgresql-12-postgis-3-scripts,
          ${shlibs:Depends},
          ${misc:Depends}
 Suggests: percona-postgis
 Breaks: percona-postgis (<< 1.2.1)
-Provides: percona-postgresql-14-postgis
-Description: Geographic objects support for PostgreSQL 14
+Provides: percona-postgresql-12-postgis
+Description: Geographic objects support for PostgreSQL 12
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
  the PostgreSQL server, allowing it to be used as a backend spatial
@@ -83,15 +83,15 @@
  SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
  "Simple Features Specification for SQL".
 
-Package: percona-postgresql-14-postgis-3-scripts
+Package: percona-postgresql-12-postgis-3-scripts
 Architecture: any
 Multi-Arch: foreign
 Depends: ${perl:Depends},
          ${misc:Depends}
-Recommends: percona-postgresql-14-postgis-3
-Provides: percona-postgresql-14-postgis-scripts
-Replaces:percona-postgresql-14-postgis-scripts (<< 2.2.2+dfsg-3~)
-Description: Geographic objects support for PostgreSQL 14 -- SQL scripts
+Recommends: percona-postgresql-12-postgis-3
+Provides: percona-postgresql-12-postgis-scripts
+Replaces:percona-postgresql-12-postgis-scripts (<< 2.2.2+dfsg-3~)
+Description: Geographic objects support for PostgreSQL 12 -- SQL scripts
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
  the PostgreSQL server, allowing it to be used as a backend spatial
@@ -100,13 +100,13 @@
  "Simple Features Specification for SQL".
  .
  This package contains the SQL scripts for installing PostGIS in a PostgreSQL
- 14 database, and for upgrading from earlier PostGIS versions.
+ 12 database, and for upgrading from earlier PostGIS versions.
 
 Package: percona-postgresql-postgis
 Architecture: any
 Section: metapackages
 Depends: percona-postgresql-postgis-scripts,
-         percona-postgresql-14-postgis-3,
+         percona-postgresql-12-postgis-3,
          ${misc:Depends}
 Description: Geographic objects support for PostgreSQL -- Metapackage
  PostGIS adds support for geographic objects to the PostgreSQL
@@ -116,12 +116,12 @@
  SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
  "Simple Features Specification for SQL".
  .
- This metapackage depends on the PostGIS package for PostgreSQL 14.
+ This metapackage depends on the PostGIS package for PostgreSQL 12.
 
 Package: percona-postgresql-postgis-scripts
 Architecture: any
 Multi-Arch: foreign
-Depends: percona-postgresql-14-postgis-3-scripts,
+Depends: percona-postgresql-12-postgis-3-scripts,
          ${misc:Depends}
 Description: Geographic objects support for PostgreSQL -- SQL scripts metapackage
  PostGIS adds support for geographic objects to the PostgreSQL
@@ -132,4 +132,4 @@
  "Simple Features Specification for SQL".
  .
  This metapackage depends on the PostGIS scripts package for
- PostgreSQL 14.
+ PostgreSQL 12.

## percona-postgis 3.3.8

=== rpm/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 ARCH=`rpm --eval "%{_arch}"`
 DIR=`pwd`
-DIST=.f42
+DIST=.f99
 SPECFILE="postgis33.spec"
 
 # Now, include global Makefile

=== debian/changelog ===
percona-postgis (3.3.8-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 3.3.8-1

 -- root <root@e67c40434192>  Tue, 19 Aug 2025 08:04:12 -0400

percona-postgis (3.3.8) unstable; urgency=low
  * Initial Release.
 -- SurabhiBhat <surabhi.bhat@percona.com> Tue, 19 Aug 2025 08:04:12 -0400

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                protobuf-c-compiler,
                rdfind,
                xsltproc
-Standards-Version: 3.3.3
+Standards-Version: 3.3.8
 Homepage: https://postgis.net/
 Rules-Requires-Root: no
 
@@ -66,16 +66,16 @@
  .
  This package contains the PostGIS documentation.
 
-Package: percona-postgresql-12-postgis-3
+Package: percona-postgresql-13-postgis-3
 Architecture: any
-Depends: percona-postgresql-12,
-         percona-postgresql-12-postgis-3-scripts,
+Depends: percona-postgresql-13,
+         percona-postgresql-13-postgis-3-scripts,
          ${shlibs:Depends},
          ${misc:Depends}
 Suggests: percona-postgis
 Breaks: percona-postgis (<< 1.2.1)
-Provides: percona-postgresql-12-postgis
-Description: Geographic objects support for PostgreSQL 12
+Provides: percona-postgresql-13-postgis
+Description: Geographic objects support for PostgreSQL 13
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
  the PostgreSQL server, allowing it to be used as a backend spatial
@@ -83,15 +83,15 @@
  SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
  "Simple Features Specification for SQL".
 
-Package: percona-postgresql-12-postgis-3-scripts
+Package: percona-postgresql-13-postgis-3-scripts
 Architecture: any
 Multi-Arch: foreign
 Depends: ${perl:Depends},
          ${misc:Depends}
-Recommends: percona-postgresql-12-postgis-3
-Provides: percona-postgresql-12-postgis-scripts
-Replaces:percona-postgresql-12-postgis-scripts (<< 2.2.2+dfsg-3~)
-Description: Geographic objects support for PostgreSQL 12 -- SQL scripts
+Recommends: percona-postgresql-13-postgis-3
+Provides: percona-postgresql-13-postgis-scripts
+Replaces:percona-postgresql-13-postgis-scripts (<< 2.2.2+dfsg-3~)
+Description: Geographic objects support for PostgreSQL 13 -- SQL scripts
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
  the PostgreSQL server, allowing it to be used as a backend spatial
@@ -100,13 +100,13 @@
  "Simple Features Specification for SQL".
  .
  This package contains the SQL scripts for installing PostGIS in a PostgreSQL
- 12 database, and for upgrading from earlier PostGIS versions.
+ 13 database, and for upgrading from earlier PostGIS versions.
 
 Package: percona-postgresql-postgis
 Architecture: any
 Section: metapackages
 Depends: percona-postgresql-postgis-scripts,
-         percona-postgresql-12-postgis-3,
+         percona-postgresql-13-postgis-3,
          ${misc:Depends}
 Description: Geographic objects support for PostgreSQL -- Metapackage
  PostGIS adds support for geographic objects to the PostgreSQL
@@ -116,12 +116,12 @@
  SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
  "Simple Features Specification for SQL".
  .
- This metapackage depends on the PostGIS package for PostgreSQL 12.
+ This metapackage depends on the PostGIS package for PostgreSQL 13.
 
 Package: percona-postgresql-postgis-scripts
 Architecture: any
 Multi-Arch: foreign
-Depends: percona-postgresql-12-postgis-3-scripts,
+Depends: percona-postgresql-13-postgis-3-scripts,
          ${misc:Depends}
 Description: Geographic objects support for PostgreSQL -- SQL scripts metapackage
  PostGIS adds support for geographic objects to the PostgreSQL
@@ -132,4 +132,4 @@
  "Simple Features Specification for SQL".
  .
  This metapackage depends on the PostGIS scripts package for
- PostgreSQL 12.
+ PostgreSQL 13.
